7th gen Intel NUC wireless card (Intel® Wireless-AC 9462) is only supported on Linux 4.14+, when will a 4.14-based kernel be available?

intel
wlan
linux

(HJ) #1

Hi, I recently bought a 7th gen Intel NUC, however its wireless card(Wireless-AC 9462) is only supported on Linux 4.14+. https://www.intel.com/content/www/us/en/support/articles/000005511/network-and-i-o/wireless-networking.html

So when will there be an 4.14 based kernel available?


(tom) #2

perhaps when linux-lts will be upgraded.
i suggest a package request on your bug tracker:


(Hans Tovetjärn) #3

Does the wireless card not work on 4.16 or 4.18? Also see When will the new version of Linux be available in the repositories?.


(HJ) #4

It works on debian testing which has 4.18(https://packages.debian.org/de/buster/linux-image-4.18.0-2-amd64), however chakra has 4.13 and the ucode wont work =(.


(Hans Tovetjärn) #5

4.13? Why do you say that? Linux LTS 4.4.152 and Linux 4.18.12 are both available in the core repository. The last release featured Linux 4.12.4, and a new release is being worked on.


(HJ) #6

well then I have an issue: https://i.imgur.com/zUJ5c6F.png


(Hans Tovetjärn) #7

Please provide your mirrorlist.conf (and other relevant files) as described here in the future. The mirror you are using is no longer active and was removed a year ago from our list. Remove it and use a different mirror.


(HJ) #8

OK, You should really point that out at the download page!


(Hans Tovetjärn) #9

Feel free to report the issue here. There is a link to the mirror status page in the footer, and it is mentioned in the tutorial How to sort mirrors by speed, but it could be advertised better. You may also find this and this to be of interest with regards to selecting mirrors. If you’ve been able to switch to a different mirror and upgrade your system, please mark the topic as solved.


(system) #10

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.